## apt-transport-debtorrent 0.2.0ubuntu1

=== Makefile ===
# Debian makefile for apt-transport-debtorrent

all: debtorrent

CXXFLAGS = -g -O2 -Wall
LDLIBS = -lapt-pkg

debtorrent_SRCS = debtorrent.cc connect.cc rfc2553emu.cc
debtorrent_OBJS = $(patsubst %.cc,%.o,$(debtorrent_SRCS))
debtorrent_DEPS = $(patsubst %.cc,.%.d,$(debtorrent_SRCS))

$(debtorrent_OBJS) : %.o : %.cc
	$(CXX) -c $(CXXFLAGS) $< -o $@

$(debtorrent_DEPS) : .%.d : %.cc
	$(CXX) -MM $(CXXFLAGS) $<  > $@

include $(debtorrent_DEPS)

debtorrent : $(debtorrent_OBJS)
	$(CXX) -o $@ $(debtorrent_OBJS) $(LDLIBS)

.PHONY : clean clean-deps dist    

clean:
	rm -f *.o *~ core debtorrent *.dump

clean-deps:
	rm -f .*.d

.PHONY: all clean clean-deps

=== debian/changelog ===
apt-transport-debtorrent (0.2.0ubuntu1) hardy; urgency=low

  * Merge from Debian unstable (LP: #183143). Remaining Ubuntu changes:
    - Build-dep on libapt-pkg-dev (>= 0.7.9).
    - Add quilt support
    - debian/patches/SetFailReason.patch: fix FTBFS
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Andrea Colangelo <warp10@libero.it>  Sat, 12 Jan 2008 10:10:56 +0100

apt-transport-debtorrent (0.2.0) unstable; urgency=low

  * Upgrade transport version to 0.2
    - Create sparse files based on status messages (102) from DebTorrent
    - Send general status updates to apt (103) from DebTorrent
  * Remove support for Range headers as they may confuse the
    sparse file allocation
  * Fix typo in long description
  * Upgrade to standards version 3.7.3 (no changes)
  * Changes the XS-Vcs-* headers to Vcs-*
  * Moved Homepage from description to Source package fields

 -- Cameron Dale <camrdale@gmail.com>  Wed, 09 Jan 2008 21:28:07 -0800

apt-transport-debtorrent (0.1.1ubuntu2) hardy; urgency=low

  * Rebuild against libapt-pkg-libc6.6-6-4.6.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2007 12:06:30 +0100

apt-transport-debtorrent (0.1.1ubuntu1) hardy; urgency=low

  * Add quilt support
  * debian/patches/SetFailReason.patch: fix FTBFS
  * debian/control: update Maintainer field as per spec

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 13 Nov 2007 14:55:07 +0100

apt-transport-debtorrent (0.1.1) unstable; urgency=low

  * Add the source location to the copyright file
  * Add the Dm-Upload-Allowed for Debian Maintainers

 -- Cameron Dale <camrdale@gmail.com>  Sat, 20 Oct 2007 17:32:09 -0700

apt-transport-debtorrent (0.1.0) unstable; urgency=low

  * Initial release, based on APT's http method
  * Rename the protocol from HTTP to DEBTORRENT
  * Remove the http proxying
  * Remove the limit on the download bandwidth
  * Remove the limit on pipelining
  * Allow requests to be returned in any order
  * Remove the i18n
  * Read in debtorrent specific config options
  * Increase the timeout for reading, decrease for connecting
  * Always pipeline, even after a failure
  * Increase failed attempts to 3 before quitting

 -- Cameron Dale <camrdale@gmail.com>  Thu, 20 Sep 2007 20:59:00 -0700

=== debian/control ===
Source: apt-transport-debtorrent
Section: admin
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Cameron Dale <camrdale@gmail.com>
Homepage: http://debtorrent.alioth.debian.org/
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.7.9), quilt
Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
XS-Dm-Upload-Allowed: yes

Package: apt-transport-debtorrent
Architecture: any
Depends: ${shlibs:Depends}
Recommends: debtorrent (>= 0.1.5)
Conflicts: debtorrent (<< 0.1.4)
Description: an APT transport for communicating with DebTorrent
 This package contains the APT debtorrent transport. It makes it possible to
 use 'deb debtorrent://localhost:9988/foo distro main' type lines in your
 sources.list file.
 .
 For an overview of the DebTorrent program, see the 'debtorrent' package.
 .
 You don't actually need this package to use the DebTorrent program, it will
 work fine using the regular http:// transport.
 .
 However, using this method has some advantages over HTTP. Unlike the
 traditional HTTP method, this transport will send all possible requests to
 DebTorrent as soon as it recieves them, which will speed up the download
 as peers can be contacted in parallel. This method also allows the
 DebTorrent client to return files to APT in any order, which is important
 since BitTorrent downloads proceed in a random order. Additionally, this
 method uses a very similar protocol to HTTP, and so can easily be used to
 access a DebTorrent client running on another host.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp: patch
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: unpatch
	dh_testdir
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	$(MAKE) clean-deps

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/apt-transport-debtorrent.
	dh_install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-transport-debtorrent 0.2.1

=== debian/changelog ===
apt-transport-debtorrent (0.2.1) unstable; urgency=low

  * Add a config option to make debtorrent sources local (Closes: #477383)
  * Upgrade the recommends on debtorrent to 0.1.7.
  * Add a config file for APT to load, and a manpage describing the options.

 -- Cameron Dale <camrdale@gmail.com>  Thu, 19 Jun 2008 23:13:30 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: apt-transport-debtorrent
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cameron Dale <camrdale@gmail.com>
+Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.7.9), quilt
+Build-Depends: debhelper (>= 5.0), libapt-pkg-dev, docbook-to-man
 Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes
@@ -13,7 +12,7 @@
 Package: apt-transport-debtorrent
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: debtorrent (>= 0.1.5)
+Recommends: debtorrent (>= 0.1.7)
 Conflicts: debtorrent (<< 0.1.4)
 Description: an APT transport for communicating with DebTorrent
  This package contains the APT debtorrent transport. It makes it possible to

## apt-transport-debtorrent 0.2.1ubuntu1

=== debian/changelog ===
apt-transport-debtorrent (0.2.1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add quilt support
    - debian/patches/SetFailReason.patch: fix FTBFS
      + This patch is ubuntu-specific, see Launchpad Bug #163891
    - Modify Maintainer value to match the DebianMaintainerField specification

 -- Albin Tonnerre <lutin@ubuntu.com>  Fri, 20 Jun 2008 11:31:13 +0200

apt-transport-debtorrent (0.2.0ubuntu2) intrepid; urgency=low

  * Rebuild with recent apt. 

 -- Michael Bienia <geser@ubuntu.com>  Fri, 13 Jun 2008 23:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: apt-transport-debtorrent
 Section: admin
 Priority: optional
-Maintainer: Cameron Dale <camrdale@gmail.com>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0), libapt-pkg-dev, docbook-to-man
+Build-Depends: debhelper (>= 5.0), libapt-pkg-dev, docbook-to-man, quilt
 Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 build: build-stamp
 
-build-stamp: patch
+build-stamp: apt-transport-debtorrent.1 patch
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -23,8 +23,12 @@
 
 	touch $@
 
+%.1:	debian/%.sgml
+	/usr/bin/docbook-to-man $< > debian/$@
+
 clean: unpatch
 	dh_testdir
+	rm -f debian/*.1
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
@@ -53,6 +57,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
+	dh_installman
 	dh_strip
 	dh_compress
 	dh_fixperms

## apt-transport-debtorrent 0.2.1ubuntu2

=== debian/changelog ===
apt-transport-debtorrent (0.2.1ubuntu2) jaunty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Feb 2009 10:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0), libapt-pkg-dev, docbook-to-man, quilt
+Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.7.20), docbook-to-man, quilt
 Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes

## apt-transport-debtorrent 0.2.1ubuntu3

=== debian/changelog ===
apt-transport-debtorrent (0.2.1ubuntu3) karmic; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 26 Sep 2009 00:07:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.7.20), docbook-to-man, quilt
+Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.7.23), docbook-to-man, quilt
 Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes

## apt-transport-debtorrent 0.2.2

=== debian/changelog ===
apt-transport-debtorrent (0.2.2) unstable; urgency=low

  * Fix some lintian warnings
    - Update standards version to 3.8.4 (no changes)
  * Update for ABI change in apt 0.8.0 (Closes: #594369, #452001)
    (LP: #163891)
  * Update standards version to 3.9.1 (no changes)

 -- Cameron Dale <camrdale@gmail.com>  Fri, 27 Aug 2010 09:05:13 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: apt-transport-debtorrent
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cameron Dale <camrdale@gmail.com>
+Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.7.23), docbook-to-man, quilt
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 5.0), libapt-pkg-dev, docbook-to-man
 Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes
 
 Package: apt-transport-debtorrent
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: debtorrent (>= 0.1.7)
-Conflicts: debtorrent (<< 0.1.4)
 Description: an APT transport for communicating with DebTorrent
  This package contains the APT debtorrent transport. It makes it possible to
  use 'deb debtorrent://localhost:9988/foo distro main' type lines in your

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/quilt/quilt.make
 
 CFLAGS = -Wall -g
 
@@ -15,7 +13,7 @@
 
 build: build-stamp
 
-build-stamp: apt-transport-debtorrent.1 patch
+build-stamp: apt-transport-debtorrent.1
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -26,7 +24,7 @@
 %.1:	debian/%.sgml
 	/usr/bin/docbook-to-man $< > debian/$@
 
-clean: unpatch
+clean:
 	dh_testdir
 	rm -f debian/*.1
 	rm -f build-stamp

## apt-transport-debtorrent 0.2.2build1

=== debian/changelog ===
apt-transport-debtorrent (0.2.2build1) oneiric; urgency=low

  * build against the latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 12:13:57 +0200

## apt-transport-debtorrent 0.2.2build2

=== debian/changelog ===
apt-transport-debtorrent (0.2.2build2) precise; urgency=low

  * Rebuild against latest libapt.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 30 Jan 2012 11:16:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
 Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 5.0), libapt-pkg-dev, docbook-to-man
+Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.8.16~exp5), docbook-to-man
 Vcs-Svn: svn://svn.debian.org/debtorrent/apt-transport-debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/apt-transport-debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes
